<div class="col-sm-12">
  <!-- exact lookup -->
  <div class="panel panel-default lookup-form">
    <div class="panel-heading">
      <h3 class="panel-title" style="margin-right: 10px;">
        <i class="fa fa-search"></i>
        Direct exact lookup
      </h3>
    </div>
    <div class="panel-body" style="padding-bottom: 5px;">
      <div class="form-group col-sm-12">
        <div class="input-group">
          <div class="input-group-addon">Gene ID / AA</div>
          <span class="input-group-btn">
            <button class="btn btn-default" role="button" type="button" ng-disabled="datasetTabs.lookupLoading"
                    ng-mousedown="datasetTabs.inputForLookup = ''; datasetTabs.lookupSuccessful = true">
              <i class="fa fa-fw fa-trash-o"></i>
            </button>
         </span>
          <textarea type="text" class="form-control" ng-disabled="datasetTabs.lookupLoading"
                    ng-model="datasetTabs.inputForLookup"></textarea>
          <span class="input-group-btn">
            <button class="btn btn-default" role="button" type="button" ng-disabled="datasetTabs.lookupLoading"
                    ng-mousedown="datasetTabs.lookupGeneIdOrAmino()">
              <i class="fa fa-fw fa-search"></i>Find exact matches<br>(opens new tabs)
            </button>
         </span>
        </div>
      </div>
      <div class="form-group col-sm-12" style="margin-bottom: 0px;">
        <div class="alert alert-warning" role="alert" ng-show="!datasetTabs.lookupSuccessful">
          No exact matches found. In case of AA sequence: Maybe your query is missing the <i>stop codon asterisk</i> at
          the end? E.g. <span style="font-family:monospace;">MVFGNAAGDAGDLVP*</span>
        </div>
      </div>
    </div>
  </div>

  <!-- BLAST searches -->
  <div class="panel panel-default lookup-form">
    <div class="panel-heading">
      <h3 class="panel-title" style="margin-right: 10px;float:left;">
        <i class="fa fa-search"></i>
        BLAST+ search
      </h3>
      <div style="float:right">
        show
        <select ng-model="datasetTabs.blastMaxResults">
          <option>25</option>
          <option>50</option>
          <option>100</option>
          <option>500</option>
        </select>
        results
      </div>
      <div style="clear:both"></div>
    </div>
    <div class="panel-body" style="padding-bottom: 5px;">
      <!-- against all datasets -->
      <h4>
        <i class="fa fa-cubes"></i> Search all datasets
        <span ng-show="datasetTabs.blastEndpointQueryFinished && !datasetTabs.blastUnavailable">(ready, {{datasetTabs.systemInfo.cores}} CPU cores available)</span>
        <span ng-show="datasetTabs.blastUnavailable">(offline)</span>
      </h4>
      <div class="form-group col-sm-12">
        <div class="input-group">
          <div class="input-group-addon">AA / NA</div>
          <span class="input-group-btn">
            <button class="btn btn-default" role="button" type="button" ng-disabled="datasetTabs.blastLoading"
                    ng-mousedown="datasetTabs.resetBlastForm()">
              <i class="fa fa-fw fa-trash-o"></i>
            </button>
         </span>
          <textarea type="text" class="form-control" ng-disabled="datasetTabs.lookupLoading"
                    ng-model="datasetTabs.inputForBlast"></textarea>
          <span class="input-group-btn">
            <button class="btn btn-default" role="button" type="button" ng-disabled="datasetTabs.blastLoading"
                    ng-mousedown="datasetTabs.blastSequence('p', datasetTabs.inputForBlast)">
              <i class="fa fa-fw fa-search"></i>Run BLASTP
            </button>
            <button class="btn btn-default" role="button" type="button" ng-disabled="datasetTabs.blastLoading"
                    ng-mousedown="datasetTabs.blastSequence('x', datasetTabs.inputForBlast)">
              <i class="fa fa-fw fa-search"></i>Run BLASTX
            </button>
         </span>
        </div>
      </div>
      <div class="form-group col-sm-12" style="margin-bottom: 0px;">
        <div class="alert alert-warning" role="alert" ng-show="!datasetTabs.blastSuccessful">
          No hits found.
        </div>
        <div class="alert alert-danger" role="alert" ng-show="datasetTabs.blastHasError">
          {{datasetTabs.blastError}}
        </div>
        <div class="alert alert-danger" role="alert" ng-show="datasetTabs.blastUnavailable">
          The internal BLAST+ service for searching datasets is not responding. Therefore, this search functionality is
          currently
          unavailable.
        </div>
        <div style="text-align: center;">
          <div ng-show="datasetTabs.blastLoading && !datasetTabs.blastUnavailable">Running BLAST+ on
            {{datasetTabs.systemInfo.cores}} CPU cores ...
          </div>
          <i ng-show="datasetTabs.blastLoading && !datasetTabs.blastUnavailable"
             class="fa fa-2x fa-spinner fa-pulse"></i>
        </div>
        <div class="alert alert-info" role="alert"
             ng-show="datasetTabs.blastSuccessful && datasetTabs.blastHits.length > 0">
          <table class="table table-striped table-bordered">
            <thead>
            <tr>
              <th colspan="6">Top {{datasetTabs.currentBlastMaxResults}} search results against all available datasets
              </th>
            </tr>
            <tr>
              <th style="width:12%">E-value for this BLAST search (not nr)</th>
              <th style="width:8%">Score for this BLAST search</th>
              <th>Gene ID</th>
              <th>All Subject Titles (from the database)</th>
              <th style="width:2%">Partial Gene</th>
              <th>Dataset</th>
              <th>Alignment</th>
            </tr>
            </thead>
            <tbody>
            <tr ng-repeat="hit in datasetTabs.blastHits">
              <td style="font-family: monospace;">{{hit.evalue}}</td>
              <td style="font-family: monospace;">{{hit.score}}</td>
              <td style="font-family: monospace;">
                <a href="#" ng-click="datasetTabs.openBlastHitInNewTab(hit)"
                   ng-if="hit.dataset" style="white-space: nowrap">
                  {{hit.id}} <i class="fa fa-arrow-up"></i>
                </a>
                <span ng-if="!hit.dataset">{{hit.id}}</span>
              </td>
              <td>{{hit.salltitles}}</td>
              <td>{{hit.partial}}</td>
              <td>{{hit.dataset}}</td>
              <td>
                <div style="font-family: monospace; white-space: nowrap; width: 230px; overflow-x:scroll;">
                  Q:&nbsp;&nbsp;{{("_____"+hit.query_start).slice(-6)}}&nbsp;{{hit.query}}&nbsp;{{hit.query_end}}<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;{{hit.match}}<br>S:&nbsp;&nbsp;{{("_____"+hit.subject_start).slice(-6)}}&nbsp;{{hit.subject}}&nbsp;{{hit.subject_end}}
                </div>
              </td>
            </tr>
            </tbody>
          </table>
        </div>
      </div>
      <!-- against targets -->
      <h4 ng-if="datasetTabs.mode === 'viral'">
        <i class="fa fa-bullseye"></i> Search officially selected targets
        <span ng-show="datasetTabs.targetDbEndpointQueryFinished && !datasetTabs.targetDbUnavailable">
          (ready, target list last updated: {{datasetTabs.targetDbSystemInfo.db_info.last_modified*1000 | date}})</span>
        <span ng-show="datasetTabs.targetDbUnavailable">(offline)</span>
      </h4>
      <div ng-if="datasetTabs.mode === 'viral'" class="form-group col-sm-12">
        <div class="input-group">
          <div class="input-group-addon">AA</div>
          <span class="input-group-btn">
            <button class="btn btn-default" role="button" type="button" ng-disabled="datasetTabs.targetDbLoading"
                    ng-mousedown="datasetTabs.resetTargetDbForm()">
              <i class="fa fa-fw fa-trash-o"></i>
            </button>
         </span>
          <textarea type="text" class="form-control" ng-disabled="datasetTabs.lookupLoading"
                    ng-model="datasetTabs.inputForTargetDb"></textarea>
          <span class="input-group-btn">
            <button class="btn btn-default" role="button" type="button" ng-disabled="datasetTabs.targetDbLoading"
                    ng-mousedown="datasetTabs.targetDbSearchSequence(datasetTabs.inputForTargetDb)">
              <i class="fa fa-fw fa-search"></i>Run BLASTP
            </button>
         </span>
        </div>
      </div>
      <div class="form-group col-sm-12" style="margin-bottom: 0px;">
        <div class="alert alert-warning" role="alert" ng-show="!datasetTabs.targetDbSuccessful">
          No hits found.
        </div>
        <div class="alert alert-danger" role="alert" ng-show="datasetTabs.targetDbHasError">
          {{datasetTabs.targetDbError}}
        </div>
        <div class="alert alert-danger" role="alert" ng-show="datasetTabs.targetDbUnavailable">
          The internal BLAST+ service for target search is not responding. Therefore, this search functionality is
          currently
          unavailable.
        </div>
        <div style="text-align: center;">
          <div ng-show="datasetTabs.targetDbLoading && !datasetTabs.targetDbUnavailable">Running BLAST+ on
            {{datasetTabs.targetDbSystemInfo.cores}} CPU cores ...
          </div>
          <i ng-show="datasetTabs.targetDbLoading && !datasetTabs.targetDbUnavailable"
             class="fa fa-2x fa-spinner fa-pulse"></i>
        </div>
        <div class="alert alert-info" role="alert"
             ng-show="datasetTabs.targetDbSuccessful && datasetTabs.targetDbHits.length > 0">
          <table class="table table-striped table-bordered">
            <thead>
            <tr>
              <th colspan="3">Top {{datasetTabs.currentTargetdbMaxResults}} search results against officially selected
                targets
              </th>
            </tr>
            <tr>
              <th style="width:12%">E-value for this BLAST search (not nr)</th>
              <th style="width:8%">Score for this BLAST search</th>
              <th>Target name</th>
              <th>Alignment</th>
            </tr>
            </thead>
            <tbody>
            <tr ng-repeat="hit in datasetTabs.targetDbHits">
              <td style="font-family: monospace;">{{hit.evalue}}</td>
              <td style="font-family: monospace;">{{hit.score}}</td>
              <td style="font-family: monospace;">{{hit.id}}</span>
              </td>
              <td style="width: 510px">
                <div style="font-family: monospace; white-space: nowrap; width: 500px; overflow-x:scroll;">
                  Q:&nbsp;&nbsp;{{("_____"+hit.query_start).slice(-6)}}&nbsp;{{hit.query}}&nbsp;{{hit.query_end}}<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;{{hit.match}}<br>S:&nbsp;&nbsp;{{("_____"+hit.subject_start).slice(-6)}}&nbsp;{{hit.subject}}&nbsp;{{hit.subject_end}}
                </div>
              </td>
            </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>


  <div class="panel panel-default">
    <div class="panel-heading">
      <table style="float: left">
        <tr>
          <td><h3 class="panel-title" style="margin-right: 10px;"><i class="fa fa-cubes"></i> Available datasets
            ({{datasetTabs.availableDatasetNames.length | number:0}})</h3></td>
          <td>
            <button type="button" class="btn btn-xs btn-default" ng-click="datasetTabs.loadAvailableDatasetNames()"
                    uib-tooltip="Refresh the list." tooltip-placement="right">
              <i class="fa fa-refresh"></i>
            </button>
          </td>
          <td>
              <span class="dataset-gene-count" ng-show="!datasetTabs.loadingAvailableDatasetNames"
                    style="padding-left: 10px;">
              (&Sigma;: {{datasetTabs.overallGeneCount | number:0}} genes)
            </span>
          </td>
          <td>
            <div ng-include="'components/DatasetTabs/dataset-selection-tab.pagination.html'"></div>
          </td>
        </tr>
      </table>
      <div style="float: right">
        <div ng-if="datasetTabs.mode === 'viral'" class="target-db-indicator alert"
             ng-class="{'alert-success': !datasetTabs.targetDbUnavailable && datasetTabs.targetDbEndpointQueryFinished,'alert-warning': datasetTabs.targetDbUnavailable && datasetTabs.targetDbEndpointQueryFinished}"
             uib-tooltip="While browsing the datasets or before target submission to the wiki, the list of
             already selected targets is being checked against to detect duplicate or similar sequences.
             A BLAST DB containing the targets is used to do these checks automatically in the background in real time. Freshly
             submitted targets are not immediately included in the DB but are added at regular intervals
             (see 'target list last updated'). Target list may be incomplete."
             tooltip-placement="bottom-left" tooltip-popup-delay="100">
          <i ng-show="datasetTabs.targetDbEndpointQueryFinished" class="fa fa-fw fa-info-circle"></i>
          <i ng-show="!datasetTabs.targetDbEndpointQueryFinished" class="fa fa-fw fa-spinner fa-pulse"></i>
          <i class="fa fa-bullseye"></i>
          <span ng-show="datasetTabs.targetDbEndpointQueryFinished && !datasetTabs.targetDbUnavailable">
            Target duplicate check available (target list last updated: {{datasetTabs.targetDbSystemInfo.db_info.last_modified*1000 | date}})
          </span>
          <span ng-show="datasetTabs.targetDbUnavailable">
            Target database for duplicate check is currently offline
          </span>
        </div>
      </div>
      <div style="clear: both"></div>
    </div>
    <div class="panel-body" ng-class="{'stale-content': datasetTabs.loadingAvailableDatasetNames}">
      <p>Page {{datasetTabs.activeDatasetsPage}} of {{datasetTabs.getTotalPages()}}:</p>
      <i ng-show="datasetTabs.loadingAvailableDatasetNames" class="fa fa-fw fa-spinner fa-pulse"></i>
      <table class="table table-striped table-bordered">
        <thead>
        <tr>
          <th style="width: 30%">Name</th>
          <th ng-show="datasetTabs.hasDatasetMetadata">Description</th>
          <th style="width: 15%">Number of genes<sup>1</sup><i ng-show="datasetTabs.loadingGeneCounts"
                                                               class="fa fa-fw fa-spinner fa-pulse"></i></th>
          <th>Full genes<sup>2</sup><i ng-show="datasetTabs.loadingFullGenes" class="fa fa-fw fa-spinner fa-pulse"></i>
          </th>
          <th>Assembly size<i ng-show="datasetTabs.loadingContigStats" class="fa fa-fw fa-spinner fa-pulse"></i></th>
          <th>Number of contigs<i ng-show="datasetTabs.loadingContigStats" class="fa fa-fw fa-spinner fa-pulse"></i>
          </th>
          <th>approx. N50<i ng-show="datasetTabs.loadingContigStats" class="fa fa-fw fa-spinner fa-pulse"></i></th>
          <th>approx. N90<i ng-show="datasetTabs.loadingContigStats" class="fa fa-fw fa-spinner fa-pulse"></i></th>
          <th>MAGs<sup>4</sup><i ng-show="datasetTabs.loadingBinCounts"
                                 class="fa fa-fw fa-spinner fa-pulse"></i></th>
          <th ng-if="datasetTabs.mode === 'viral'">Extended annotations<sup>3</sup><i
              ng-show="datasetTabs.loadingExtendedAnnotations" class="fa fa-fw fa-spinner fa-pulse"></i></th>
        </tr>
        </thead>
        <tbody>
        <tr ng-repeat="datasetName in datasetTabs.availableDatasetNames" ng-class="{'hidden-row': $index+1 > (datasetTabs.activeDatasetsPage * datasetTabs.datasetsPerPage) || $index < ((datasetTabs.activeDatasetsPage * datasetTabs.datasetsPerPage)-datasetTabs.datasetsPerPage)}">
          <td>
            <a href="#">
              <div ng-click="datasetTabs.addTab(datasetName)">
                <i class="fa fa-cube"></i> {{datasetName}}
              </div>
            </a>
          </td>
          <td ng-show="datasetTabs.hasDatasetMetadata" style="font-size: .8em">
            {{datasetTabs.datasetMetadata[datasetName]['description']}}
          </td>
          <td class="td-barchart"
              style="background:linear-gradient(to left, #cfe1f1 {{datasetTabs.datasetSizePercentages[$index]}}%,#{{$index%2==0? 'f9f9f9' : 'fff'}} {{datasetTabs.datasetSizePercentages[$index]}}%)">
            {{datasetTabs.datasetGeneCounts[$index]| number:0}}
          </td>
          <td style="text-align: right;font-family: monospace">
            <span ng-if="datasetTabs.datasetNonPartialGeneCounts[$index] > 0">
              {{datasetTabs.datasetNonPartialGeneCounts[$index]| number:0}}
            </span>
            <span ng-if="datasetTabs.datasetNonPartialGeneCounts[$index] === 0">
              -
            </span>
          </td>
          <td style="text-align: right;font-family: monospace;">
            {{datasetTabs.datasetContigStats[$index]['assemblySize']| number:0}}
          </td>
          <td style="text-align: right;font-family: monospace;">
            {{datasetTabs.datasetContigStats[$index]['numberOfContigs']| number:0}}
          </td>
          <td style="text-align: right;font-family: monospace;">
            {{datasetTabs.datasetContigStats[$index]['n50']| number:0}}
          </td>
          <td style="text-align: right;font-family: monospace;">
            {{datasetTabs.datasetContigStats[$index]['n90']| number:0}}
          </td>
          <td style="text-align: right;font-family: monospace">
            {{datasetTabs.datasetBinCounts[$index] | number:0}}
          </td>
          <td ng-if="datasetTabs.mode === 'viral'">
            <i class="fa fa-check-circle"
               ng-if="!!datasetTabs.overallMapping[datasetName]['mappings']['gene']['properties']['x_pfam']">
            </i>
            <span ng-if="!datasetTabs.overallMapping[datasetName]['mappings']['gene']['properties']['x_pfam']">-</span>
          </td>
        </tr>
        </tbody>
      </table>
      <div ng-show="!datasetTabs.loadingAvailableDatasetNames" style="font-size: .8em;">
        <div><sup>1</sup>Including "partial" genes as classified by Prodigal 2.6.3 (genes that run "off the edge of a
          sequence or into a gap").
        </div>
        <div><sup>2</sup>Amount of non-"partial" genes.</div>
        <div ng-if="datasetTabs.mode === 'viral'"><sup>3</sup>Dataset contains additional annotations from MAXPLNK.
        </div>
        <div><sup>4</sup>Number of MAGs with less than {{datasetTabs.binCountMaxContamination * 100 }}% contamination
          and more than {{datasetTabs.binCountMinCompleteness * 100 }}% completeness.
        </div>
      </div>
    </div>
  </div>
</div>